[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomStaticText.DialogChar

Handles an accelerator key for the control.

## Declaration

Source position: stdctrls.pp line 1107

`protected function TCustomStaticText.DialogChar(`
`var Message: TLMKey`
`):Boolean; override;`

## Arguments

`Message` |  | Message examined in the method.

## Function result

True if the message was handled as an accelerator key.

## Description

DialogChar is an overridden method in TCustomStaticText. It checks the character code in Message to determine if it is used as the accelerator (shortcut) in the Caption for the control. When the character code is found, the FocusControl is given focus and the return value is set to True.

If the character code is not found, the inherited method is called to broadcast the Message to child controls and get the return value.

## See also

TCustomStaticText.FocusControl |  | The control that receives focus instead of this control.
IsAccel |  | Determines whether the specified virtual key is used as an accelerator (short cut) in the given caption string.
TWinControl.CanFocus |  | Is this control allowed to receive the focus when parent form is visible?
TControl.Caption |  | The text displayed for the control.
TControl.DialogChar |  | Performs actions needed to handle an accelerator key for the control.